%define name    krecipes
%define version 1.1
%define svn 802572
%define release %mkrel 0.%svn.1



Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   Krecipes - Your Way to Cook with Tux 
License:   GPL
URL:       http://krecipes.sourceforge.net/
Group:     Toys
Source:    http://ovh.dl.sourceforge.net/sourceforge/krecipes/%name-%version.%svn.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs4-devel
BuildRequires: sqlite-devel

%description
Krecipes is a new Open Source project for an exciting world 
that is almost forgotten in the Tux world: COOKING (yummy! ;-)

The goal of this projects was to create a KDE Recipe Tool that:

    * Can manage a recipe database with an easy to use interface
    * Allows creation/removal of new ingredients and units
    * Helps with diets, calculating amount of calories, 
		vitamines, carbohydrates... per recipe
    * Creates shopping lists, and daily suggestions for a given diet type
    * Is based on MySQL (1) so it could be possible to generate a KSN(2)
    * Should be as flexible as possible to have the possibility to 
		extend it in future.

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files 
#-f %{name}.lang
%defattr(-,root,root)
%{_kde_bindir}/krecipes
%{_kde_datadir}/applications/kde4/krecipes.desktop
%{_kde_appsdir}/krecipes  
%{_kde_iconsdir}/hicolor/*/apps/krecipes.png
%doc %{_kde_docdir}/HTML/en/krecipes

#--------------------------------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}

%build
export PATH=$PATH:$QTDIR/bin 

%cmake_kde4

%install
rm -rf %buildroot
cd build
%{makeinstall_std}

#(nl) Workaround for missing translations
# FIXME
#for lang in bg ca cy de en_GB et fr is lt nb pl pt_BR ru sl sr@Latn ta az br cs da el es fi ga it mt nl pt ro rw sr sv tr;
#do
#   cd po/$lang && make && /usr/bin/install -c -p -m 644 krecipes.gmo %buildroot/usr/share/locale/$lang/LC_MESSAGES/krecipes.mo && cd ../..
#done
        


install -d %buildroot/%{_menudir}

#%find_lang %{name}

%clean
rm -rf %{buildroot}



%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.1-0.802572.1mdv2009.0
+ Revision: 218422
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Move to kde4 version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Aug 21 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-21 10:16:32 (56935)
- krecipes-0.9.1-3mdv2007.0
- Fix translations (ticket 19846)

* Fri Jul 28 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-07-28 08:58:20 (42358)
- Fix menu entry

* Fri Jul 28 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-07-28 08:56:48 (42357)
- Fix menu entry

* Tue Jul 25 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-25 07:26:02 (42054)
Don't requires meta package kdebase

* Thu Jun 15 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-15 17:57:36 (37322)
- Increase release
- Rebuild to generate category
- Add Warning

* Thu Jun 15 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-15 17:30:29 (37320)
import krecipes-0.9.1-1mdk

* Sun Dec 04 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.1-1
- 0.9.1

* Wed Nov 30 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9-1
- 0.9.0

* Sun Nov 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.1-2mdk
- Fix ticket #19846

* Tue Aug 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.1-1mdk
- First mandriva release

